Subject: [SIP] ID extension of REFER

From: "Venkatesh Venkataramanan" <[email-masked]>
Date: Thu, 16 Nov 2000 17:05:50 +0530

> Sorry I had more to add !! using 1xx class of responses gives more
> information to the transferor as to the state of the TT ... infact a lot
of
> applications (typically voice mail systems) usually support a feature
called
> "transfer to ringing", wherein, all they want to know is if the transfer
> target is Idle and would want to complete the transfer if the TT is idle.
If
> TT is busy, they end up abandoning transfers and putting the user back
into
> voice mail. Using the 1xx responses allows us to continue supporting such
> applications as well.
>
> Venkatesh
>
> ----- Original Message -----
> From: "Venkatesh Venkataramanan" <[email-masked]>
> To: "Sean Olson" <[email-masked]>
> Cc: <[email-masked]>; "Robert Sparks" <[email-masked]>
> Sent: Thursday, November 16, 2000 4:02 PM
> Subject: Re: [SIP] ID extension of REFER
>
>
> > I agree. If REFER can be modified to accept any 1xx responses (the draft
> > currently talks about a 100 response/200/400-600 class responses), this
> new
> > ID probably is not required. One could reuse the 1xx progress
information
> > for REFER. The biggest advantage I see with this draft is the is the
> ability
> > of the transferor to get out of the transfer session at any time
(instead
> of
> > waiting for a final response). Model fits the traditional PSTN blind
> > transfers better.
> >
> > Venkatesh
> > ----- Original Message -----
> > From: "Sean Olson" <[email-masked]>
> > To: "Rohan Mahy" <[email-masked]>
> > Cc: <[email-masked]>
> > Sent: Friday, November 17, 2000 3:32 PM
> > Subject: Re: [SIP] ID extension of REFER
> >
> >
> > > Hello,
> > >
> > > I am a little confused about the purpose of this I-D. The first
question
> > > that springs to mind is
> > > why you don't use "183" for this purpose? The second question is
whether
> > > you
> > > intend the 189 to lead to different timing than any other provisional
> > > response?
> > > (In other words, if the 189 does NOT cause different timing, than the
> > > issue of a long
> > >   period (> 37 seconds) between the INVITE and 200 OK is not really
> > > solved. I realize
> > >   this should be a very rare case.)
> > >
> > > /sean
> > >
> > > Rohan Mahy wrote:
> > >
> > > >  Hi,
> > > >
> > > > I just submitted an ID for an extension to the REFER method that I
> > > > discussed with Robert Sparks at Pittsburgh.  Until it appears in the
> > > > archive it is available at:
> > > >
> > > > ftp://ftpeng.cisco.com/rmahy/draft-mahy-sip-189-00.txt
> > > >
> > > >
> > > > A SIP Extension: Informational Responses to the REFER method
> > > >
> > > > Abstract
> > > >
> > > >      This document defines a SIP extension to the REFER method of
the
> > > >      SIP Call Control Framework.  This extension provides for the
> > > >      ability to convey information about the progress of the
Referred
> > > >      request when that request is in a provisional state for a long
> > > >      period of time (many seconds or minutes).
> > > >
> > > >
> > > > Comments welcome.
> > > >
> > > > thanks,
> > > > -rohan
> > > >
> > > >
> > >
> > >
> > > _______________________________________________
> > > SIP mailing list
> > > [email-masked]
> > > http://lists.bell-labs.com/mailman/listinfo/sip
> > >
> > >
> >
>
>

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip